<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Science and Engineering Ethics</title>
</head>

<body>
    <p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
    <hr>

    <h1>
        Software Engineering Code of Ethics and Professional Practice
    </h1>
    <h2>
        IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices
    </h2>
    <hr>

    <p> <strong>Keywords:</strong> code of ethics, professional responsibility, software Engineering </p>

    <h3>Preamble</h3>
    <p>The short version of the code summarize aspiration at a high level abstraction. The clauses that are included in
        the full version give examples and details of how these aspiration change the way we act as software engineering
        professional. Without the aspiration, the detail can become legalistic and tedious; without the details, the
        aspiration can become high-sounding but empty; together, the aspiration and the details form a cohesive code
    </p>

    <p>Software engineering shall commit themselves to making the analysis, specification, design, development, testing
        and maintenance of software a beneficial and respected profession. In accordance with their commitment to the
        health, safety and welfare of the public, software engineering shall adhere to the following eigth Principles:
    </p>

    <h3>Principles</h3>

    <ol>
        <li>Public.Software engineering shall act consistently with the public interest </li>
        <li>Client and employer. Software engineers shall act in a manner that is in the best interest of their client
            and employer ,consistently with the public interest </li>
        <li>Product. Software engineering shall ensure that their product and related modification meet the highest
            professional standard possible </li>
        <li>Judgement. Software engineering shall maintain integrity and independence in their professional judgement
        </li>
        <li>Management. Software engineering managers and leaders shall subsribe to and promote an ethical approach to
            the management of software development and maintenance </li>
        <li>Profession. Software engineering shall advance the integrity and reputation of the profession consistent
            with the public intrest </li>
        <li>Colleagues. Software engineering shall be fair to and supportive of their Colleagues</li>
        <li>Self. Software engineering shall participate in lifelong learning regarding the practice of their profession
            and shall provide an ethical approach to the practice of the profession </li>
    </ol>
</body>

</html>